<?php

require_once($GLOBALS['ADEI_ROOTDIR'] . "/classes/readers/dbreader.php");

class DBController extends DBReader /*implements CONTROLInterface*/ {

 function __construct(&$props) {
    parent::__construct($props);
 }

 public function GetItemList(LOGGROUP $grp = NULL, MASK $mask = NULL, $flags = 0) {
    $list = parent::GetItemList($grp, $mask, $flags);

    foreach ($list as &$item) {
	$item["read"] = 1;
	$item["write"] = 1;
    }

    return $list;
 }

 public function GetControls(LOGGROUP $grp = NULL, MASK $mask = NULL) {
    $res = parent::GetControls($grp, $mask);

    foreach ($res as &$item) {
	$item["write"] = 1;
    }

    return $res;
 }

 function SetRawControls(LOGGROUP $grp = NULL, MASK $mask = NULL, array $values) {
    $grp = $this->CheckGroup($grp, REQUEST::CONTROL);
    if (!$mask) $mask = $this->CreateMask($grp, $minfo = NULL, REQUEST::CONTROL);

    $this->DisposeControlMask($grp, $mask, $values);
    $items = $this->GetItemList($grp, $full_mask = new MASK(), REQUEST::CONTROL);

    $columns = array();
    foreach ($items as $i => $item) {
	if ((!$values[$i])&&(!is_numeric($values[$i]))) $val = "NULL";
	else $val = $values[$i];
	$columns[$item['column']] = $val;
    }

    if (!isset($columns[$this->columns['time']])) {
	$columns[$this->columns['time']] =  $this->ImportUnixTime(gettimeofday(true));
    }

    $sql = $this->db->InsertRequest($grp->table, $columns);
    $this->db->Query($sql);
 } 
}
