#!/bin/bash

. opts.sh

[ -z "$setup" ] && { echo "Setup must be specified"; exit 1; }

list=$(oc -n $ADEI_NS  -l "adei-setup=$setup,adei-type=cacher" "$@" get dc | grep -v NAME | awk '{print $1}' )

for i in $list; do
    replicas=$(oc -n $ADEI_NS get dc/$i -o jsonpath='{ .metadata.annotations.kaas/replicas }')
    [ $? -ne 0 -o -z "$replicas" ] && replicas=1
    oc -n $ADEI_NS  scale --replicas $replicas dc/$i
done
